# MS-Proxy-Service v1.2.0 Release vom 22.05.2024

Das MS-Proxy-Service implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um österreichischen Benutzern eine Anmeldung an ausländischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Features
        - UX Anpassungen entsprechend aktuellem BMI Layout
        - Error-Handling entsprechend dem abstimmten Konzept umgesetzt
  - Logging optimiert
  - Aktualisierung von Drittherstellerbibliotheken
      - Spring-Framework 5.3.34
      - commons-io 2.16.1
      - commons-text 1.12.0
      - jackson 2.17.1
      - woodstox-core 6.5.1
      - log4j 2.23.1



### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-Proxy-Service auf die aktuelle Version 1.1.0. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.1.0

1. Stoppen Sie die *MS-Proxy-Service* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_proxyservice-1.2.0-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsProxyServicePackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsProxyServicePackage__/ms_proxyservice.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde
   * Vollständige Übernahme: __MsProxyServicePackage__/config/misc/error_conf.yaml
   * Vollständige Übernahme: __MsProxyServicePackage__/config/properties/*
   * Vollständige Übernahme: __MsProxyServicePackage__/config/templates/*
   * Vollständige Übernahme: __MsProxyServicePackage__/config/webcontent/*
5. Optionale neue Konfigurationsparameter
   - ```eidas.ms.core.error.handling.config```
6. Entfernte Konfigurationsparameter
   - ```eidas.ms.core.logging.level.info.errorcodes```
